Class | Bio::Hinv::HitPubmedId
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::HitPubmedId.new serv.query("hit" => "HIT000053961") puts serv.result

### Methods

new result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 236
    236:       def initialize
    237:         @url = BASE_URI + "hit_pubmedid.php"
    238:       end

### Public Instance methods

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <CDNA_DB-REFERENCE_PUBMED>7624364</CDNA_DB-REFERENCE_PUBMED>
     <CDNA_DB-REFERENCE_PUBMED>11279095</CDNA_DB-REFERENCE_PUBMED>
     <CDNA_DB-REFERENCE_PUBMED>15489334</CDNA_DB-REFERENCE_PUBMED>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 246
    246:       def result
    247:         list = []
    248:         @xml.elements.each('//CDNA_DB-REFERENCE_PUBMED') do |e|
    249:           list << e.text.to_i
    250:         end
    251:         return list
    252:       end

[Validate]